Nagios Log Server - Logstash not running after upgrade to 2.0

Overview

After upgrading to Nagios Log Server 2.0, the logstash service doesn't remain running.

 

Diagnosis

The /var/log/logstash/logstash.log file will show a message similar to:

{:timestamp=>"2017-11-14T08:24:17.314000-0700", :message=>"Pipeline aborted due to error", :exception=>"LogStash::
ConfigurationError", :error=>"The setting `host` in plugin `elasticsearch` is obsolete and is no longer available. Please use the 'hosts' setting
 instead. You can specify multiple entries separated by comma in 'host:port' format. If you have any questions about this, you are invited to
visit https://discuss.elastic.co/c/logstash and ask.", :backtrace=>
["/usr/local/nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/logstash-core-2.4.1-java/lib/logstash/config/mixin.rb:88:in `config_init'",
 "org/jruby/RubyHash.java:1342:in `each'",
"/usr/local/nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/logstash-core-2.4.1-java/lib/logstash/config/mixin.rb:72:in `config_init'",
 "/usr/local/nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/logstash-core-2.4.1-java/lib/logstash/outputs/base.rb:79:in `initialize'",
 "/usr/local/nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/logstash-core-2.4.1-java/lib/logstash/output_delegator.rb:74:in `register'
", "/usr/local/nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/logstash-core-2.4.1-java/lib/logstash/pipeline.rb:181:in `start_workers'
", "org/jruby/RubyArray.java:1613:in `each'",
"/usr/local/nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/logstash-core-2.4.1-java/lib/logstash/pipeline.rb:181:in `start_workers'",
"/usr/local/nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/logstash-core-2.4.1-java/lib/logstash/pipeline.rb:136:in `run'",
 "/usr/local/nagioslogserver/logstash/vendor/bundle/jruby/1.9/gems/logstash-core-2.4.1-java/lib/logstash/agent.rb:491:in `start_pipeline'"],
:level=>:error}

 


 

Problem

Logic in the initially released upgrade script didn't allow logstash config files to be rewritten correctly.

 

 

Solution

The upgrade script has been updated and a new download of the 2.0 software resolves the problem.

It can also be resolved by running the following command in a terminal session as the root user:

/usr/bin/php /var/www/html/nagioslogserver/www/index.php configure/write_configs_for_node

 

This command needs to be executed on each instance in your Nagios Log Server Cluster.

 

 

Final Thoughts

For any support related questions please visit the Nagios Support Forums at:

http://support.nagios.com/forum/

Posted by: - Tue, Nov 14, 2017 at 11:55 AM. This article has been viewed 524 times.
Online URL: https://support.nagios.com/kb/article/nagios-log-server-logstash-not-running-after-upgrade-to-2-0-778.html

Powered by PHPKB (Knowledge Base Software)